Subject: Re: a question about use dtb to bootting linux kernel on MPC83xx platform

From: Scott Wood <[email-masked]>
Date: Mon, 7 Apr 2008 11:38:02 -0500

On Mon, Apr 07, 2008 at 09:35:17AM +0800, 旭 罗 wrote:
>     I am Linux software engineer. These days I was debugging a MPC8313 system. In  the debugging process, some source code in the kernel makes me puzzled. So I  have find your email address in the source code. I think you can give me some  advises to solve the problem.
>   
>         My version is  linux-2.6.23.9 and I use the device tree(dtb) to  booting the kernel. In my bootloader I use the following code to jump to the  kernel.
>  (*image)((bd_t *)dtb_entry,  (unsigned int)image, 0, 0, 0); 
>   
>  The dtb_entry is the address of dtb  file which in the SDRAM, the image
> is the kernel entry point. I flashed some LEDs in my board. So I can make
> sure the program run to the machine_init() which is defined in the
> /arch/powerpc/kernel/setup_32.c In order to trace the problem I search the
> source code. I can find that these information is printed by the start
> function which is defined in the /arch/powerpc/boot/main.c.
>  Fourth more I have found that the  kernel call the platform_init which is
>  defined in the /arch/powerpc/boot/cuboot-83xx.c. looking the file head I
>  have known you are the author for this file. Could you told me how the
>  kernel call the platform_init function and I hope you can show me the
>  booting process of the MPC83xx linux or you could give me some document
>  about it.

As I said when you e-mailed me privately a few days ago, cuImage is for
older u-boots that pass in a bd_t, not a device tree. You should be booting
uImage instead.

-Scott